module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = "./src/index.ts");
/******/ })
/************************************************************************/
/******/ ({

/***/ "./src/index.ts":
/*!**********************!*\
  !*** ./src/index.ts ***!
  \**********************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const module_1 = __webpack_require__(/*! ./module */ "./src/module.ts");
const server_core_1 = __webpack_require__(/*! @common-stack/server-core */ "@common-stack/server-core");
exports.default = new server_core_1.Feature(module_1.default);


/***/ }),

/***/ "./src/module.ts":
/*!***********************!*\
  !*** ./src/module.ts ***!
  \***********************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const microservice_nats_1 = __webpack_require__(/*! @xterm-stack/microservice-nats */ "@xterm-stack/microservice-nats");
const core_1 = __webpack_require__(/*! @common-stack/core */ "@common-stack/core");
const server_core_1 = __webpack_require__(/*! @xterm-stack/server-core */ "@xterm-stack/server-core");
const server_core_2 = __webpack_require__(/*! @common-stack/server-core */ "@common-stack/server-core");
const graphql_schema_1 = __webpack_require__(/*! @xterm-stack/graphql-schema */ "@xterm-stack/graphql-schema");
const terminalServiceGen = (container) => {
    const environment = container.get('Environment');
    if (environment === 'development') {
        return { terminalService: container.get(server_core_1.TYPES.ITerminalMicroservice) };
    }
    else {
        return { terminalService: container.getNamed(server_core_1.TYPES.ITerminalMicroservice, core_1.TaggedType.MICROSERVICE) };
    }
};
exports.default = new server_core_2.Feature({
    createPreference: server_core_1.preferences,
    createContainerFunc: [server_core_1.terminalModule, microservice_nats_1.terminalMicroserviceModule],
    createResolversFunc: graphql_schema_1.resolver,
    schema: graphql_schema_1.typeDefs,
    createServiceFunc: terminalServiceGen,
});


/***/ }),

/***/ "@common-stack/core":
/*!*************************************!*\
  !*** external "@common-stack/core" ***!
  \*************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@common-stack/core");

/***/ }),

/***/ "@common-stack/server-core":
/*!********************************************!*\
  !*** external "@common-stack/server-core" ***!
  \********************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@common-stack/server-core");

/***/ }),

/***/ "@xterm-stack/graphql-schema":
/*!**********************************************!*\
  !*** external "@xterm-stack/graphql-schema" ***!
  \**********************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@xterm-stack/graphql-schema");

/***/ }),

/***/ "@xterm-stack/microservice-nats":
/*!*************************************************!*\
  !*** external "@xterm-stack/microservice-nats" ***!
  \*************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@xterm-stack/microservice-nats");

/***/ }),

/***/ "@xterm-stack/server-core":
/*!*******************************************!*\
  !*** external "@xterm-stack/server-core" ***!
  \*******************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@xterm-stack/server-core");

/***/ })

/******/ });
//# sourceMappingURL=index.js.map