module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// identity function for calling harmony imports with the correct context
/******/ 	__webpack_require__.i = function(value) { return value; };
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 31);
/******/ })
/************************************************************************/
/******/ ({

/***/ 1:
/***/ (function(module, exports) {

module.exports = require("os");

/***/ }),

/***/ 25:
/***/ (function(module, exports) {

module.exports = require("node-pty");

/***/ }),

/***/ 31:
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const cp = __webpack_require__(7);
const os = __webpack_require__(1);
const path = __webpack_require__(8);
const pty = __webpack_require__(25);
var shellName;
if (os.platform() === 'win32') {
    shellName = path.basename(process.env.PTYSHELL);
}
else {
    shellName = 'xterm-256color';
}
var shell = process.env.PTYSHELL;
var args = getArgs();
var cwd = process.env.PTYCWD;
var cols = process.env.PTYCOLS;
var rows = process.env.PTYROWS;
var currentTitle = '';
setupPlanB(process.env.PTYPID);
cleanEnv();
var options = {
    name: shellName,
    cwd,
};
if (cols && rows) {
    options.cols = parseInt(cols, 10);
    options.rows = parseInt(rows, 10);
}
var ptyProcess = pty.fork(shell, args, options);
var closeTimeout;
var exitCode;
function queueProcessExit() {
    if (closeTimeout) {
        clearTimeout(closeTimeout);
    }
    closeTimeout = setTimeout(function () {
        if (process.platform === 'win32') {
            cp.execFile('taskkill.exe', ['/T', '/F', '/PID', ptyProcess.pid.toString()]).on('close', () => {
                process.exit(exitCode);
            });
        }
        else {
            ptyProcess.kill();
            process.exit(exitCode);
        }
    }, 250);
}
ptyProcess.on('data', function (data) {
    process.send({
        type: 'data',
        content: data,
    });
    if (closeTimeout) {
        clearTimeout(closeTimeout);
        queueProcessExit();
    }
});
ptyProcess.on('exit', function (code) {
    exitCode = code;
    queueProcessExit();
});
process.on('message', function (message) {
    if (message.event === 'input') {
        ptyProcess.write(message.data);
    }
    else if (message.event === 'resize') {
        ptyProcess.resize(message.cols, message.rows);
    }
    else if (message.event === 'shutdown') {
        queueProcessExit();
    }
});
sendProcessId();
setupTitlePolling();
function getArgs() {
    if (process.env['PTYSHELLCMDLINE']) {
        return process.env['PTYSHELLCMDLINE'];
    }
    var args = [];
    var i = 0;
    while (process.env['PTYSHELLARG' + i]) {
        args.push(process.env['PTYSHELLARG' + i]);
        i++;
    }
    return args;
}
function cleanEnv() {
    var keys = [
        'AMD_ENTRYPOINT',
        'ELECTRON_RUN_AS_NODE',
        'PTYCWD',
        'PTYPID',
        'PTYSHELL',
        'PTYCOLS',
        'PTYROWS',
        'PTYSHELLCMDLINE',
    ];
    keys.forEach(function (key) {
        if (process.env[key]) {
            delete process.env[key];
        }
    });
    var i = 0;
    while (process.env['PTYSHELLARG' + i]) {
        delete process.env['PTYSHELLARG' + i];
    }
}
function setupPlanB(parentPid) {
    setInterval(function () {
        try {
            process.kill(parentPid, 0);
        }
        catch (e) {
            process.exit();
        }
    }, 5000);
}
function sendProcessId() {
    process.send({
        type: 'pid',
        content: ptyProcess.pid,
    });
}
function setupTitlePolling() {
    sendProcessTitle();
    setInterval(function () {
        if (currentTitle !== ptyProcess.process) {
            sendProcessTitle();
        }
    }, 200);
}
function sendProcessTitle() {
    process.send({
        type: 'title',
        content: ptyProcess.process,
    });
    currentTitle = ptyProcess.process;
}


/***/ }),

/***/ 7:
/***/ (function(module, exports) {

module.exports = require("child_process");

/***/ }),

/***/ 8:
/***/ (function(module, exports) {

module.exports = require("path");

/***/ })

/******/ });
//# sourceMappingURL=terminalProcess.js.map